﻿using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZhonTai.Admin.Core.Attributes;
using ZhonTai.Admin.Core.Consts;
using ZhonTai.Admin.Services.DiTuiAPI.Dto;
using ZhonTai.DynamicApi;
using ZhonTai.DynamicApi.Attributes;

namespace ZhonTai.Admin.Services.DiTuiAPI
{
    /// <summary>
    /// 项目接口
    /// </summary>
    [DynamicApi(Area = AdminConsts.DiTuiName)]
    //public class DiTuiAPIService : BaseService, IDiTuiAPIService, IDynamicApi
    public class ProjectsService : BaseService, IProjectsService, IDynamicApi
    {

        /// <summary>
        /// 我的项目
        /// </summary>
        /// <returns></returns>
        [HttpGet]
        [NoOprationLog]
        public async Task<MyProjectOutput> MyProjectAsync()
        {
            MyProjectOutput myProjectOutput = new MyProjectOutput();

            List<MyProject> myProjects = new List<MyProject>();
            myProjects.Add(new MyProject(
                    414497860591685,
                     "快手极速版",
                    "https://test-dt.zhongjie51.com/assetsImg/ks_logo.png",
                    "25元",
                    "T+1结算"
                ));
            myProjects.Add(new MyProject(
                    414497860591687,
                     "点淘拉新",
                    "https://test-dt.zhongjie51.com/assetsImg/dt_logo.png",
                    "30元",
                    "T+3结算"
                ));
            myProjectOutput.MyProjects = myProjects;

            return myProjectOutput;
        }

    }
}
